<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (
            Schema::hasColumn('sampah', 'id') &&
            !Schema::hasColumn('sampah', 'id_sampah')
        ) {
            Schema::table('sampah', function (Blueprint $table) {
                $table->renameColumn('id', 'id_sampah');
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('sampah', function (Blueprint $table) {
            //
        });
    }
};
